/************************************************************************/
/*                                                                      */
/* This routine combs the memory image of the input VEX file, searching */
/* for the right places to insert the Mk4 single character ID           */
/* statements.  It has to know rudimentary VEX syntax, recognize        */
/* comments, and see "def" and "enddef" ranges, but is otherwise pretty */
/* dumb.                                                                */
/*                                                                      */
/*      Inputs:         vexfile         Memory image of vex file        */
/*                                                                      */
/*      Output:         idlist          Array of structs to fill in     */
/*                                                                      */
/* Created 20 August 1998 by CJL                                        */
/*                                                                      */
/************************************************************************/
#include <stdio.h>
#include <string.h>
#include "vex.h"
#include "stcodes.h"

#define ISNAME(namestring) (strcmp (p_val.name, namestring) == 0)

int
findsiteids (/* idlist, nid) */
struct stat_info *idlist,
int *nid)
    {
    char *str;
    int ndef, i, st;
    struct param_val p_val;
    struct block *siteblk;
    struct def *thisdef;
    extern struct block blist[];
    extern struct statement *stlist;
    extern int nblock, nstmt;
    int nidd1,nidd2; /* for lists of names and mk4_ids */
                                        /* First locate $SITE section */
//   printf("debug in siteid nblock=%d \n",nblock);
    for (i=0; i<nblock; i++)
        if (strcmp (blist[i].name, "SITE") == 0) break;
    if (i == nblock)
        {
        msg ("$SITE section not found", 2);
        return (-1);
        }
                                        /* Loop over defs, extracting */
                                        /* all site ids and the statement */
                                        /* numbers corresponding to them */
    *nid = 0;
    nidd1=0;
    nidd2=0;
    siteblk = blist + i;
    ndef = siteblk->ndef;
    for (i=0; i<ndef; i++)
        {
        thisdef = siteblk->deflist + i;
        for (st=thisdef->start+1; st<thisdef->end; st++)
            {
            str = stlist[st].str;
                                        /* This is bad - should find true version */
                                        /* from $OVEX_REV section.  This will work */
                                        /* as long as contents of $SITE don't change */
                                        /* from version 1.5 */
            if (parse_pval (str, "SITE", OVEX | V_1_5, &p_val) != 0)
                {
                msg ("Error parsing statement '%s'", 2, stlist[st].str);
                return (-1);
                }
                                        /* Only really care about site_ID */
            if ISNAME ("site_ID")
                {
                strncpy (idlist[*nid].id, p_val.dval[0].data.strval, 2);
                idlist[*nid].id[2] = '\0';
                idlist[*nid].stno = st;
                *nid += 1;
                }
                                        /* So we can be informative to user */
            else if ISNAME ("site_name")
                strcpy (idlist[nidd2++].name, p_val.dval[0].data.strval);
            else if ISNAME ("mk4_site_ID")
                  idlist[nidd1++].mk4_id = *p_val.dval[0].data.strval;
            }
        }

    return (0);
    }
                
