#include "control.h"
#include "type_comp.h"

#define USB_FLAG 1
#define LSB_FLAG 2
#define POL_UNDEF -1
#define POL_LL 0
#define POL_RR 1
#define POL_LR 2
#define POL_RL 3

struct interp_sdata
        {
        complex phasecal_lcp;               /* LSB only for now */
        float pcweight_lcp;                 /* (see pcal_interp routine) */
        complex phasecal_rcp;
        float pcweight_rcp;
        float errate_lcp;                   /* Sidebands averaged, all tracks */
        float errate_rcp;                   /* arithmetically averaged together */
        };

struct data_corel 
        {
        int flag;
        struct type_120 *apdata_ll[2];          /* By sideband */
        struct type_120 *apdata_rr[2];
        struct type_120 *apdata_lr[2];
        struct type_120 *apdata_rl[2];
        int sband;
        complex *sbdelay;                       /* Allocated in fringe_search */
        struct interp_sdata ref_sdata;
        struct interp_sdata rem_sdata;
        float usbfrac;
        float lsbfrac;
        };

struct freq_corel 
        {
        char freq_code;         /* Fourfit frequency identifier (a-p) */
        double frequency;       /* sky frequency (MHz) */
        char fgroup;
        char ch_usb_lcp[2][8];  /* VEX channel ids by station */
        char ch_usb_rcp[2][8];
        char ch_lsb_lcp[2][8];
        char ch_lsb_rcp[2][8];
        short trk_lcp[2][16];    /* Contributing tracks by station */
        short trk_rcp[2][16];
        float mean_lcp_trk_err[2][16];    /* Mean track error rates by station */
        float mean_rcp_trk_err[2][16];
        short bbc_lcp[2];       /* Physical BBC numbers by station */
        short bbc_rcp[2];
        int index[8];           /* Corel index number by sideband/pol'n */
        int data_alloc;         /* Flag indicating whether space alloced for data */
        struct data_corel *data;
        };


struct type_pass 
        {
        struct freq_corel       pass_data[16];
        int                     nfreq;
        int                     channels;
        int                     nlags;
        int                     num_ap;
        int                     ap_off;
        int                     autocorr;
        double                  start;
        double                  stop;
        double                  reftime;
        struct c_block          control;
        };
